Bug 467064 - ogg123 leaves terminal in non-blocking mode
ogg123 leaves terminal in non-blocking mode
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: vorbis-tools (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zdenek Prikryl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-15 11:10 EDT by Sjoerd Mullender
Modified: 2008-10-23 12:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-23 12:40:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sjoerd Mullender 2008-10-15 11:10:11 EDT
Description of problem:
After playing a .ogg file with ogg123, the terminal is left in non-blocking mode.

Versionvorbis-tools-1.2.0-1.fc9.x86_64
-Release number of selected component (if applicable):


How reproducible:
100%


Steps to Reproduce:
1.ogg123 some-file.ogg
2.
3.
  
Actual results:
The terminal is in non-blocking mode

Expected results:
The terminal should not be in non-blocking mode.


Additional info:
When run under strace (strace -o out ogg123 some-file.ogg) you can see it happening in the strace output.  There is a line
<pid> fcntl(2, F_SETFL, O_RDONLY|O_NONBLOCK) = 0
but no corresponding line where the O_NONBLOCK flag is cleared.  In fact, there are no other fcntl calls on file descriptor 2 (nor on 0 or 1).
This happens right before ogg123 prints the audio device.
Comment 1 Fedora Update System 2008-10-21 03:57:34 EDT
vorbis-tools-1.2.0-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/vorbis-tools-1.2.0-2.fc9
Comment 2 Fedora Update System 2008-10-23 12:40:55 EDT
vorbis-tools-1.2.0-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.